package cache

import (
	"time"

	"git.nakama.town/fmartingr/gotoolkit/model"
)

func WithTTL(ttl time.Duration) model.CacheOption {
	return func(item *model.CacheItem) {
		exp := time.Now().Add(ttl)
		item.TTL = &exp
	}
}
